#ifndef XMATERIALPIXERHSHADER_H
#define XMATERIALPIXERHSHADER_H

#include "xasset.h"
#include "xstring.h"
#include "xmaterialpixelshaderprogram.h"

class XMaterialPixelShader : public XAsset
{
public:
    explicit XMaterialPixelShader();
    ~XMaterialPixelShader();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    XString mName;
    XMaterialPixelShaderProgram mShaderProgram;
};

#endif // XMATERIALPIXERHSHADER_H
